Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 629772 - app-text/gtkspell does not build with >=app-text/enchant-2
Summary: app-text/gtkspell does not build with >=app-text/enchant-2
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 3 votes (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
: 629796 677056 (view as bug list)
Depends on:
Blocks: enchant-2
  Show dependency tree
 
Reported: 2017-09-03 14:39 UTC by Gilles Dartiguelongue
Modified: 2020-04-26 15:39 UTC (History)
8 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
gtkspell-3.0.9-enchant-2.patch (gtkspell-3.0.9-enchant-2.patch,722 bytes, patch)
2017-09-08 08:33 UTC, Arfrever Frehtes Taifersar Arahesis
Details | Diff
gtkspell-2.0.16-enchant-2.patch (gtkspell-2.0.16-enchant-2.patch,377 bytes, patch)
2017-12-11 00:23 UTC, Jack
Details | Diff
gtkspell-2.0.16-enchant-2-conditional.patch (gtkspell-2.0.16-enchant-2-conditional.patch,1.58 KB, patch)
2019-01-29 20:10 UTC, Andrey Volkov
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gilles Dartiguelongue gentoo-dev 2017-09-03 14:39:35 UTC
Waiting for upstream to let my email through.
Comment 1 Arfrever Frehtes Taifersar Arahesis 2017-09-03 18:20:58 UTC
*** Bug 629796 has been marked as a duplicate of this bug. ***
Comment 2 Silvio 2017-09-04 06:05:36 UTC
Same problem here
Comment 3 Arfrever Frehtes Taifersar Arahesis 2017-09-08 08:33:04 UTC
Created attachment 493210 [details, diff]
gtkspell-3.0.9-enchant-2.patch
Comment 4 Jack 2017-12-11 00:23:24 UTC
Created attachment 509318 [details, diff]
gtkspell-2.0.16-enchant-2.patch
Comment 5 Jack 2017-12-11 00:24:37 UTC
2.0.16 fails the same way.  patch (slightly shorter than for 3.0.9) attached.
Comment 6 nilburn 2018-11-11 09:47:57 UTC
New version 3.0.10 bumped on 2018-09-19.
According to Changelog, "Port to enchant-2".
Comment 7 Dennis Lamm gentoo-dev 2019-01-28 20:05:11 UTC
Added version 3.0.10 to portage. This Versions(seems to) build with enchant-2.
Comment 8 Jack 2019-01-29 00:00:29 UTC
Trying to emerge 3.0.10, with enchant 2.1.2 installed, I get

checking for GTK_SPELL3... no
configure: error: Package requirements (glib-2.0 gtk+-3.0 enchant-2) were not met:

No package 'enchant-2' found

"pkg-config enchant --modversion" shows 2.1.2.  
Should I try a different version of enchant?
Comment 9 Jack 2019-01-29 17:00:04 UTC
Enchant 2.2.3 has switched to enchant-2, so with that version installed, gtkspell 3.0.10 installs fine.  Unfortunately, the patch above for gtkspell-2.0.16 is no longer sufficient, because it is looking for enchant, not enchant-2.  I don't know if it would be better to just let gtkspell:2 be blocked by enchant-2 or to find a way to let the ebuild deal with either.  I suppose that would have to be a patch to the gtkspell:2 configure (if even possible.)
Comment 10 Andrey Volkov 2019-01-29 20:10:53 UTC
Created attachment 563242 [details, diff]
gtkspell-2.0.16-enchant-2-conditional.patch

This patch fix configure to use enchant-2 if available and fallback to enchant otherwise. 
I have tested it with enchant-1.6.1 and enchant-2.2.3

eautoreconf required at src_prepare step
Comment 11 Jack 2019-01-29 21:15:58 UTC
For those who do not dream in ebuilds, adding eautoreconf to src_prepare also requires adding autotools to the inherit line.

With that, however, gtkspell 2.0.16 emerges without complaint.

Thanks.
Comment 12 Jeroen Roovers gentoo-dev 2020-01-30 12:15:21 UTC
*** Bug 677056 has been marked as a duplicate of this bug. ***
Comment 13 Mart Raudsepp gentoo-dev 2020-04-26 15:39:58 UTC
gtkspell-3 works fine with enchant-2 for a while now.

I have no intentions of making gtkspell-2 work with enchant-2, as enchant is now properly slotted, and it can just use enchant:0 instead, until it still exists.

It might still get considered if other enchant:0 users (that don't consume it via gtkspell-2) have gone away, and the last gtkspell-2 users can't go away or be updated to gtkspell-3. Then that would allow to remove enchant:0 while keeping gtkspell-2 still for the time being.